summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMikko Koppanen <mkoppanen@php.net>2011-04-02 22:48:52 +0200
committerMartin Sustrik <sustrik@250bpm.com>2011-04-02 22:48:52 +0200
commit7af18468f8ca0c14975ea12a1e6a549d42b81347 (patch)
tree9f88c38880512075e8a099011a45f4c1b69d1053 /autogen.sh
parent0e0e4559a0e1d37fdbf686056f5d869d7a8d0315 (diff)
Add option to build with system opepgm
Signed-off-by: Mikko Koppanen <mkoppanen@php.net>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 2cc40b9..75f1009 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -20,6 +20,12 @@
# Script to generate all required files from fresh git checkout.
+command -v pkg-config >/dev/null 2>&1
+if [ $? -ne 0 ]; then
+ echo "autogen.sh: error: could not find pkg-config. pkg-config is required to run autogen.sh." 1>&2
+ exit 1
+fi
+
command -v libtool >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2